<?php
require '../conexao/conexao.php';
require '../sessao.php';

//die(var_dump($_POST));


$url = $_POST['url'] ?? null;


$id_produtos_falta = $_POST['id_produtos_falta'] ?? null;
$from_vendedor = $_POST['from_vendedor'] ?? null;
$from_gestao = $_POST['from_gestao'] ?? null;
$previsao2 = $_POST['previsao2'] ?? null;
$orcamento = $_POST['orcamento'] ?? null;
$observacao_gestao = $_POST['observacao_gestao'] ?? null;
$prescritor = trim($_POST['codnome_do_prescritor'] ?? null);
//$cod_produto = $_POST['cod_produto'] ?? null; // Adicionado
//$nome_produto = $_POST['nome_produto'] ?? null;
$situacao = $_POST['situacao'] ?? null;
$previsao = !empty($_POST['previsao']) ? $_POST['previsao'] : null;
$observacao = !empty($_POST['observacao']) ? $_POST['observacao'] : null;
$tipo = $_POST['grupo'] ?? null;
if ($tipo == 'I') {
    $codnome_produto = $_POST['nome_produto_manual'] ?? null;
    $cod_produto = 0;
    $nome_produto = $codnome_produto;
} else {
    $codnome_produto = $_POST['codnome_produto'] ??  null;
    if ($codnome_produto !== null) {
        $cod_produto = explode(' - ', $codnome_produto)[0];
        $nome_produto = explode(' - ', $codnome_produto)[1];
    } else {
        $cod_produto = null;
        $nome_produto = null;
    }
}
$cidade = $_POST['cidade'] ?? null;
$fornecedor = $_POST['fornecedor'] ?? null;
$quarentena = $_POST['quarentena'] ?? null;


//die(var_dump($nome_produto));

if ($from_gestao == 1) {
    if (is_null($id_produtos_falta) || $id_produtos_falta == 0) {
        // Código de inserção

        // Insere os dados na tabela produtos_falta
        $stmt_insercao = $connectionmysql->prepare(
            "INSERT INTO produtos_falta (cod_produto, nome_produto, id_situacao, previsao, tipo, data_cadastro, cidade, fornecedor, quarentena, observacao_gestao, previsao2)
     VALUES (?, ?, ?, ?, ?, CURDATE(), ?, ?, ?, ?, ?)"
        );

        $stmt_insercao->bind_param("isssssssss", $cod_produto, $nome_produto, $situacao, $previsao, $tipo, $cidade, $fornecedor, $quarentena, $observacao_gestao, $previsao2);

        // Verifica se a inserção foi bem-sucedida
        if ($stmt_insercao->execute()) {
            $location = './index.php?status=sucesso&' . $url;
            header("Location: $location");
            exit();
        } else {
            //  echo "Erro ao inserir os dados.";
            $location = './index.php?status=erro&message=Erro ao inserir os dados.&' . $url;
            header("Location: $location");
            exit();
        }

        // Fecha a instrução de inserção
        $stmt_insercao->close();
    } else {
        // Código de update

        // Atualiza os dados na tabela produtos_falta
        $stmt_update = $connectionmysql->prepare("UPDATE produtos_falta SET cod_produto=?, nome_produto=?, id_situacao=?, previsao=?,  tipo=?, cidade=?, fornecedor=? , quarentena=? , observacao_gestao=?, previsao2=? WHERE id_produtos_falta=?");

        // Bind dos parâmetros
        $stmt_update->bind_param("isssssssssi", $cod_produto, $nome_produto, $situacao, $previsao, $tipo, $cidade, $fornecedor, $quarentena, $observacao_gestao, $previsao2, $id_produtos_falta);

        // Verifica se a atualização foi bem-sucedida
        if ($stmt_update->execute()) {
            $location = './index.php?status=sucesso&' . $url;
            header("Location: $location");
            exit();
        } else {
            $location = './index.php?status=erro&message=Erro ao inserir os dados.&' . $url;
            header("Location: $location");
            exit();
        }
    }
} elseif ($from_vendedor == 1) {
    if (is_null($id_produtos_falta) || $id_produtos_falta == 0) {
        // Código de inserção

        // Insere os dados na tabela produtos_falta
        $stmt_insercao = $connectionmysql->prepare(
            "INSERT INTO produtos_falta (cod_produto, nome_produto, id_situacao, observacao, data_cadastro, tipo, cidade, fornecedor,orcamento, prescritor)
     VALUES (?, ?, ?, ?, CURDATE(), ?, ?, ?, ?,?)"
        );

        // Bind dos parâmetros
        $stmt_insercao->bind_param("issssssss", $cod_produto, $nome_produto, $situacao,  $observacao, $tipo, $cidade, $fornecedor, $orcamento, $prescritor);

        // Verifica se a inserção foi bem-sucedida
        if ($stmt_insercao->execute()) {
            $location = './index.php?status=sucesso&' . $url;
            header("Location: $location");
            exit();
        } else {
            //  echo "Erro ao inserir os dados.";
            $location = './index.php?status=erro&message=Erro ao inserir os dados.&' . $url;
            header("Location: $location");
            exit();
        }

        // Fecha a instrução de inserção
        $stmt_insercao->close();
    } else {
        // Código de update

        // Atualiza os dados na tabela produtos_falta
        $stmt_update = $connectionmysql->prepare("UPDATE produtos_falta SET cod_produto=?, nome_produto=?, id_situacao=?, observacao=?, tipo=?, cidade=?, fornecedor=? , quarentena=? ,  orcamento=? , prescritor=? WHERE id_produtos_falta=?");

        // Bind dos parâmetros
        $stmt_update->bind_param("isssssssssi", $cod_produto, $nome_produto, $situacao,  $observacao, $tipo, $cidade, $fornecedor, $quarentena, $orcamento, $prescritor, $id_produtos_falta);

        // Verifica se a atualização foi bem-sucedida
        if ($stmt_update->execute()) {
            $location = './index.php?status=sucesso&' . $url;
            header("Location: $location");
            exit();
        } else {
            $location = './index.php?status=erro&message=Erro ao inserir os dados.&' . $url;
            header("Location: $location");
            exit();
        }
    }
}
// Fecha a conexão com o banco de dados
$connectionmysql->close();
